Admin: Auth Policy
Get the tenant's user-tunable auth policy
Authorization
admin_api_token X-Bold-Admin-Api-Key<token>
Privileged admin key (bold_live_* with admin: true) for Mission Control and support automation. Do not put this key in customer-owned apps.
In: header
Response Body
application/json
application/json
curl -X GET "https://app.boldvideo.io/api/v1/admin/auth/policy"{
"admin_override_per_user": true,
"allow_member_self_manage": true,
"auth_challenge_product_name": "string",
"auth_challenge_reply_to_email": "user@example.com",
"auth_challenge_sender_name": "string",
"auth_challenge_support_url": "http://example.com",
"auth_challenge_template_id": "string",
"enforcement_mode": "block_new",
"enforcement_phase": "off",
"impossible_travel_mode": "off",
"impossible_travel_speed_kmh": 1,
"inserted_at": "2019-08-24T14:15:22Z",
"max_devices_per_user": 0,
"session_ttl_days": 0,
"updated_at": "2019-08-24T14:15:22Z"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}Update the tenant's user-tunable auth policy
Authorization
admin_api_token X-Bold-Admin-Api-Key<token>
Privileged admin key (bold_live_* with admin: true) for Mission Control and support automation. Do not put this key in customer-owned apps.
In: header
Request Body
application/json
User-tunable policy fields
admin_override_per_user?boolean
allow_member_self_manage?boolean
auth_challenge_product_name?string|null
auth_challenge_reply_to_email?string|null
Format
emailauth_challenge_sender_name?string|null
auth_challenge_support_url?string|null
Format
uriauth_challenge_template_id?string|null
enforcement_mode?string
Value in
"block_new" | "kick_oldest" | "challenge_new"enforcement_phase?string
Value in
"off" | "shadow" | "enforce"impossible_travel_mode?string
Impossible travel detection mode. off disables detection.
Value in
"off" | "flag_only" | "challenge"impossible_travel_speed_kmh?integer
Speed threshold in km/h above which a login is flagged as impossible travel.
Range
1 <= valuemax_devices_per_user?integer
Range
1 <= valuesession_ttl_days?integer
Range
1 <= valueResponse Body
application/json
application/json
application/json
curl -X PUT "https://app.boldvideo.io/api/v1/admin/auth/policy" \ -H "Content-Type: application/json" \ -d '{}'{
"admin_override_per_user": true,
"allow_member_self_manage": true,
"auth_challenge_product_name": "string",
"auth_challenge_reply_to_email": "user@example.com",
"auth_challenge_sender_name": "string",
"auth_challenge_support_url": "http://example.com",
"auth_challenge_template_id": "string",
"enforcement_mode": "block_new",
"enforcement_phase": "off",
"impossible_travel_mode": "off",
"impossible_travel_speed_kmh": 1,
"inserted_at": "2019-08-24T14:15:22Z",
"max_devices_per_user": 0,
"session_ttl_days": 0,
"updated_at": "2019-08-24T14:15:22Z"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}{
"code": "not_found",
"message": "Video not found",
"retryable": false,
"type": "error"
}